import { Description } from "./Description";
import { RectDescription } from "./RectDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class DomainChartDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private at;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private a2;
    get titleLeftMargin(): number;
    set titleLeftMargin(a: number);
    private a3;
    get titleRightMargin(): number;
    set titleRightMargin(a: number);
    private a4;
    get titleTopMargin(): number;
    set titleTopMargin(a: number);
    private a1;
    get titleBottomMargin(): number;
    set titleBottomMargin(a: number);
    private ax;
    get subtitleLeftMargin(): number;
    set subtitleLeftMargin(a: number);
    private az;
    get subtitleTopMargin(): number;
    set subtitleTopMargin(a: number);
    private ay;
    get subtitleRightMargin(): number;
    set subtitleRightMargin(a: number);
    private aw;
    get subtitleBottomMargin(): number;
    set subtitleBottomMargin(a: number);
    private cb;
    get subtitleTextColor(): string;
    set subtitleTextColor(a: string);
    private ce;
    get titleTextColor(): string;
    set titleTextColor(a: string);
    private as;
    get leftMargin(): number;
    set leftMargin(a: number);
    private a5;
    get topMargin(): number;
    set topMargin(a: number);
    private av;
    get rightMargin(): number;
    set rightMargin(a: number);
    private ar;
    get bottomMargin(): number;
    set bottomMargin(a: number);
    private bo;
    get transitionDuration(): number;
    set transitionDuration(a: number);
    private ch;
    get transitionEasingFunctionRef(): string;
    set transitionEasingFunctionRef(a: string);
    private cc;
    get subtitleTextStyle(): string;
    set subtitleTextStyle(a: string);
    private cf;
    get titleTextStyle(): string;
    set titleTextStyle(a: string);
    private b0;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private h;
    get includedProperties(): string[];
    set includedProperties(a: string[]);
    private g;
    get excludedProperties(): string[];
    set excludedProperties(a: string[]);
    private f;
    get brushes(): string[];
    set brushes(a: string[]);
    private l;
    get outlines(): string[];
    set outlines(a: string[]);
    private b1;
    get legendRef(): string;
    set legendRef(a: string);
    private ae;
    get isHorizontalZoomEnabled(): boolean;
    set isHorizontalZoomEnabled(a: boolean);
    private ag;
    get isVerticalZoomEnabled(): boolean;
    set isVerticalZoomEnabled(a: boolean);
    private af;
    get isSeriesHighlightingEnabled(): boolean;
    set isSeriesHighlightingEnabled(a: boolean);
    private v;
    get windowRect(): RectDescription;
    set windowRect(a: RectDescription);
    private by;
    get chartTitle(): string;
    set chartTitle(a: string);
    private b9;
    get subtitle(): string;
    set subtitle(a: string);
    private cd;
    get titleAlignment(): string;
    set titleAlignment(a: string);
    private ca;
    get subtitleAlignment(): string;
    set subtitleAlignment(a: string);
    private cj;
    get unknownValuePlotting(): string;
    set unknownValuePlotting(a: string);
    private au;
    get resolution(): number;
    set resolution(a: number);
    private a0;
    get thickness(): number;
    set thickness(a: number);
    private k;
    get markerTypes(): string[];
    set markerTypes(a: string[]);
    private i;
    get markerBrushes(): string[];
    set markerBrushes(a: string[]);
    private j;
    get markerOutlines(): string[];
    set markerOutlines(a: string[]);
    private bn;
    get markerMaxCount(): number;
    set markerMaxCount(a: number);
    private y;
    get animateSeriesWhenAxisRangeChanges(): boolean;
    set animateSeriesWhenAxisRangeChanges(a: boolean);
    private m;
    get trendLineBrushes(): string[];
    set trendLineBrushes(a: string[]);
    private ci;
    get trendLineType(): string;
    set trendLineType(a: string);
    private a6;
    get trendLineThickness(): number;
    set trendLineThickness(a: number);
    private x;
    get alignsGridLinesToPixels(): boolean;
    set alignsGridLinesToPixels(a: boolean);
    private bp;
    get trendLinePeriod(): number;
    set trendLinePeriod(a: number);
    private cg;
    get toolTipType(): string;
    set toolTipType(a: string);
    private bz;
    get crosshairsDisplayMode(): string;
    set crosshairsDisplayMode(a: string);
    private ac;
    get crosshairsSnapToData(): boolean;
    set crosshairsSnapToData(a: boolean);
    private ab;
    get crosshairsAnnotationEnabled(): boolean;
    set crosshairsAnnotationEnabled(a: boolean);
    private ad;
    get finalValueAnnotationsVisible(): boolean;
    set finalValueAnnotationsVisible(a: boolean);
    private aa;
    get calloutsVisible(): boolean;
    set calloutsVisible(a: boolean);
    private z;
    get calloutStyleUpdatingEventEnabled(): boolean;
    set calloutStyleUpdatingEventEnabled(a: boolean);
    private bw;
    get calloutsXMemberPath(): string;
    set calloutsXMemberPath(a: string);
    private bx;
    get calloutsYMemberPath(): string;
    set calloutsYMemberPath(a: string);
    private bu;
    get calloutsLabelMemberPath(): string;
    set calloutsLabelMemberPath(a: string);
    private bt;
    get calloutsContentMemberPath(): string;
    set calloutsContentMemberPath(a: string);
    private b2;
    get seriesAddedRef(): string;
    set seriesAddedRef(a: string);
    private b8;
    get seriesRemovedRef(): string;
    set seriesRemovedRef(a: string);
    private b4;
    get seriesPointerEnterRef(): string;
    set seriesPointerEnterRef(a: string);
    private b5;
    get seriesPointerLeaveRef(): string;
    set seriesPointerLeaveRef(a: string);
    private b6;
    get seriesPointerMoveRef(): string;
    set seriesPointerMoveRef(a: string);
    private b3;
    get seriesPointerDownRef(): string;
    set seriesPointerDownRef(a: string);
    private b7;
    get seriesPointerUpRef(): string;
    set seriesPointerUpRef(a: string);
    private bv;
    get calloutStyleUpdatingRef(): string;
    set calloutStyleUpdatingRef(a: string);
}
